Page MenuHomePhabricator

AMC: Collect data on users who are switching from mobile to desktop
Closed, DeclinedPublic3 Story Points

Description

I'd like to have a cheaper mechanism for understanding the edit counts of the users who are switching and the types of page they are switching on by using statsv to count these occurrences and monitor this via a graph displayed on our reading web dashboard, so we can keep a close eye on it as part of our chores.

If we do a good job with AMC less people will have a need to switch.
While AMC is not starting any time soon, it would be good to establish a baseline as early as possible!

According to a daily hive query [1] there are 200, 834 switches from the mobile site to desktop on a given day (this includes non-js users which will be excluded from this data collection). I have checked with both performance and analytics teams and they seem happy with there being this sort of traffic.

Sign off steps

  • Create a grafana table to track metrics for switches to desktop.
  • Explore possibility of using this as a metric of succeeding for AMC project.

[1]

select count(*) from webrequest where year = 2018 and month = 10 and day = 30 and uri_query LIKE '%toggle_view_mobile%'

Details

Related Gerrit Patches:
mediawiki/skins/MinervaNeue : masterMeasure switcheroos

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 31 2018, 6:56 PM

Change 470466 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Measure switcheroos

https://gerrit.wikimedia.org/r/470466

ovasileva triaged this task as Normal priority.Nov 6 2018, 3:33 PM
Jdlrobson updated the task description. (Show Details)Nov 6 2018, 6:29 PM
Jdlrobson renamed this task from Collect data on users who are switching from mobile to desktop to AMC: Collect data on users who are switching from mobile to desktop.Nov 15 2018, 6:44 PM
ovasileva set the point value for this task to 3.Nov 21 2018, 5:45 PM

What is the plan for measuring the impact of AMC on this metric?

My hope here is to have a cheap (in terms of implementation and analysis) way at gauging where changes to switches happen during the lifetime of the project. E.g. if we see unexpected spikes here we can use that as a way to identify things we should be measuring.
This would be similar to error tracking- we know when spikes occur but no why.

I suspect we will have more detailed instrumentation at other points in the project.

Change 470466 abandoned by Jdlrobson:
Measure switcheroos

https://gerrit.wikimedia.org/r/470466

Jdlrobson closed this task as Declined.Jan 2 2019, 7:59 PM

I've abandoned by patchset, as I'm reading the lack of activity here to mean we're not sure we can need this.
Given we can access all this information by Hive queries, maybe that's enough. Maybe Turnilo can provide at a glance data I'm not sure.
We can revisit this task if we want to monitor this in a cheaper way but I don't see any reason to keep this task open.